%define upstream_name    Text-NeatTemplate
%define upstream_version 0.1400

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A fast, middleweight template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a simple, middleweight but fast template engine,
for when you need speed rather than complex features, yet need more features
than simple variable substitution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type f | xargs chmod +w

%build
%{__perl} Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Text

%changelog
* Thu Dec 31 2020 tv <tv> 0.140.0-1.mga8
+ Revision: 1666839
- update to 0.1400

* Sat Feb 15 2020 umeabot <umeabot> 0.130.0-2.mga8
+ Revision: 1528015
- Mageia 8 Mass Rebuild

* Tue Aug 06 2019 tv <tv> 0.130.0-1.mga8
+ Revision: 1427736
- update to 0.1300

* Mon Aug 05 2019 tv <tv> 0.110.100-1.mga8
+ Revision: 1427499
- update to 0.1101

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-8.mga7
+ Revision: 1272060
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1035003
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 931100
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 748991
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 686637
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 515539
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 374127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 317763
- update to 0.11

* Thu Feb 23 2012 jquelin <jquelin> 0.100.100-1.mga2
+ Revision: 213227
- update to 0.1001

* Tue Jan 18 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 22941
- cleaning spec file
- imported package perl-Text-NeatTemplate

